Projects‎ > ‎Debian GNU/Linux‎ > ‎Build Log‎ > ‎

ruby-addressable_2-2-6-1-dsc

posted May 31, 2011, 2:16 AM by Deepak Tripathi
I: using fakeroot in build.
I: Current time: Tue May 31 14:29:20 IST 2011
I: pbuilder-time-stamp: 1306832360
I: Building the build Environment
I: extracting base tarball [/var/cache/pbuilder/base.tgz]
I: creating local configuration
I: copying local configuration
I: mounting /proc filesystem
I: mounting /dev/pts filesystem
I: Mounting /var/cache/pbuilder/ccache
I: policy-rc.d already exists
I: Obtaining the cached apt archive contents
I: Setting up ccache
I: Installing the build-deps
-> Attempting to satisfy build-dependencies
-> Creating pbuilder-satisfydepends-dummy package
Package: pbuilder-satisfydepends-dummy
Version: 0.invalid.0
Architecture: i386
Maintainer: Debian Pbuilder Team <pbuilder-maint@lists.alioth.debian.org>
Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
This package was created automatically by pbuilder to satisfy the
build-dependencies of the package being currently built.
Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.2)
dpkg-deb: building package `pbuilder-satisfydepends-dummy' in `/tmp/satisfydepends-aptitude/pbuilder-satisfydepends-dummy.deb'.
Selecting previously deselected package pbuilder-satisfydepends-dummy.
(Reading database ... 10960 files and directories currently installed.)
Unpacking pbuilder-satisfydepends-dummy (from .../pbuilder-satisfydepends-dummy.deb) ...
Setting up pbuilder-satisfydepends-dummy (0.invalid.0) ...
Reading package lists...
Building dependency tree...
Reading state information...
Initializing package states...
Writing extended state information...
The following NEW packages will be installed:
bsdmainutils{a} debhelper{a} devscripts{a} file{a} gem2deb{a} gettext{a}
gettext-base{a} groff-base{a} html2text{a} intltool-debian{a}
libcroco3{a} libdb4.8{a} libexpat1{a} libffi5{a} libglib2.0-0{a}
libmagic1{a} libpcre3{a} libpipeline1{a} libreadline5{a} libruby1.8{a}
libruby1.9.1{a} libssl1.0.0{a} libunistring0{a} libxml2{a} libyaml-0-2{a}
man-db{a} mime-support{a} po-debconf{a} python{a} python-minimal{a}
python2.6{a} python2.6-minimal{a} ruby1.8{a} ruby1.8-dev{a} ruby1.9.1{a}
ruby1.9.1-dev{a} rubygems{a} rubygems1.8{a}
0 packages upgraded, 38 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/29.1 MB of archives. After unpacking 88.5 MB will be used.
Writing extended state information...
Selecting previously deselected package bsdmainutils.
(Reading database ... 10960 files and directories currently installed.)
Unpacking bsdmainutils (from .../bsdmainutils_8.2.2_i386.deb) ...
Selecting previously deselected package groff-base.
Unpacking groff-base (from .../groff-base_1.21-5_i386.deb) ...
Selecting previously deselected package libpipeline1.
Unpacking libpipeline1 (from .../libpipeline1_1.2.0-2_i386.deb) ...
Selecting previously deselected package libssl1.0.0.
Unpacking libssl1.0.0 (from .../libssl1.0.0_1.0.0d-2_i386.deb) ...
Selecting previously deselected package man-db.
Unpacking man-db (from .../man-db_2.6.0.2-1_i386.deb) ...
Selecting previously deselected package libmagic1.
Unpacking libmagic1 (from .../libmagic1_5.04-5+b1_i386.deb) ...
Selecting previously deselected package file.
Unpacking file (from .../file_5.04-5+b1_i386.deb) ...
Selecting previously deselected package gettext-base.
Unpacking gettext-base (from .../gettext-base_0.18.1.1-3_i386.deb) ...
Selecting previously deselected package libpcre3.
Unpacking libpcre3 (from .../libpcre3_8.12-3_i386.deb) ...
Selecting previously deselected package libxml2.
Unpacking libxml2 (from .../libxml2_2.7.8.dfsg-2+b1_i386.deb) ...
Selecting previously deselected package mime-support.
Unpacking mime-support (from .../mime-support_3.51-1_all.deb) ...
Selecting previously deselected package python2.6-minimal.
Unpacking python2.6-minimal (from .../python2.6-minimal_2.6.6-10_i386.deb) ...
Selecting previously deselected package libdb4.8.
Unpacking libdb4.8 (from .../libdb4.8_4.8.30-8_i386.deb) ...
Selecting previously deselected package libexpat1.
Unpacking libexpat1 (from .../libexpat1_2.0.1-7_i386.deb) ...
Selecting previously deselected package python2.6.
Unpacking python2.6 (from .../python2.6_2.6.6-10_i386.deb) ...
Selecting previously deselected package python-minimal.
Unpacking python-minimal (from .../python-minimal_2.6.6-14_all.deb) ...
Selecting previously deselected package python.
Unpacking python (from .../python_2.6.6-14_all.deb) ...
Selecting previously deselected package html2text.
Unpacking html2text (from .../html2text_1.3.2a-15_i386.deb) ...
Selecting previously deselected package libglib2.0-0.
Unpacking libglib2.0-0 (from .../libglib2.0-0_2.28.6-1_i386.deb) ...
Selecting previously deselected package libcroco3.
Unpacking libcroco3 (from .../libcroco3_0.6.2-1_i386.deb) ...
Selecting previously deselected package libunistring0.
Unpacking libunistring0 (from .../libunistring0_0.9.3-4_i386.deb) ...
Selecting previously deselected package gettext.
Unpacking gettext (from .../gettext_0.18.1.1-3_i386.deb) ...
Selecting previously deselected package intltool-debian.
Unpacking intltool-debian (from .../intltool-debian_0.35.0+20060710.1_all.deb) ...
Selecting previously deselected package po-debconf.
Unpacking po-debconf (from .../po-debconf_1.0.16+nmu1_all.deb) ...
Selecting previously deselected package debhelper.
Unpacking debhelper (from .../debhelper_8.1.6_all.deb) ...
Selecting previously deselected package devscripts.
Unpacking devscripts (from .../devscripts_2.11.0_i386.deb) ...
Selecting previously deselected package libreadline5.
Unpacking libreadline5 (from .../libreadline5_5.2-8_i386.deb) ...
Selecting previously deselected package libruby1.8.
Unpacking libruby1.8 (from .../libruby1.8_1.8.7.334-5_i386.deb) ...
Selecting previously deselected package ruby1.8.
Unpacking ruby1.8 (from .../ruby1.8_1.8.7.334-5_i386.deb) ...
Selecting previously deselected package rubygems.
Unpacking rubygems (from .../rubygems_1.7.2-1_all.deb) ...
Selecting previously deselected package rubygems1.8.
Unpacking rubygems1.8 (from .../rubygems1.8_1.7.2-1_all.deb) ...
Selecting previously deselected package ruby1.8-dev.
Unpacking ruby1.8-dev (from .../ruby1.8-dev_1.8.7.334-5_i386.deb) ...
Selecting previously deselected package libffi5.
Unpacking libffi5 (from .../libffi5_3.0.9-4_i386.deb) ...
Selecting previously deselected package libyaml-0-2.
Unpacking libyaml-0-2 (from .../libyaml-0-2_0.1.3-1_i386.deb) ...
Selecting previously deselected package libruby1.9.1.
Unpacking libruby1.9.1 (from .../libruby1.9.1_1.9.2.180-5_i386.deb) ...
Selecting previously deselected package ruby1.9.1.
Unpacking ruby1.9.1 (from .../ruby1.9.1_1.9.2.180-5_i386.deb) ...
Selecting previously deselected package ruby1.9.1-dev.
Unpacking ruby1.9.1-dev (from .../ruby1.9.1-dev_1.9.2.180-5_i386.deb) ...
Selecting previously deselected package gem2deb.
Unpacking gem2deb (from .../archives/gem2deb_0.2.3_all.deb) ...
Setting up bsdmainutils (8.2.2) ...
update-alternatives: using /usr/bin/bsd-write to provide /usr/bin/write (write) in auto mode.
update-alternatives: using /usr/bin/bsd-from to provide /usr/bin/from (from) in auto mode.
Setting up groff-base (1.21-5) ...
Setting up libpipeline1 (1.2.0-2) ...
Setting up libssl1.0.0 (1.0.0d-2) ...
Setting up man-db (2.6.0.2-1) ...
Setting up libmagic1 (5.04-5+b1) ...
Setting up file (5.04-5+b1) ...
Setting up gettext-base (0.18.1.1-3) ...
Setting up libpcre3 (8.12-3) ...
Setting up libxml2 (2.7.8.dfsg-2+b1) ...
Setting up mime-support (3.51-1) ...
update-alternatives: using /usr/bin/see to provide /usr/bin/view (view) in auto mode.
Setting up python2.6-minimal (2.6.6-10) ...
Setting up libdb4.8 (4.8.30-8) ...
Setting up libexpat1 (2.0.1-7) ...
Setting up python2.6 (2.6.6-10) ...
Setting up python-minimal (2.6.6-14) ...
Setting up python (2.6.6-14) ...
Setting up html2text (1.3.2a-15) ...
Setting up libglib2.0-0 (2.28.6-1) ...
Setting up libcroco3 (0.6.2-1) ...
Setting up libunistring0 (0.9.3-4) ...
Setting up gettext (0.18.1.1-3) ...
Setting up intltool-debian (0.35.0+20060710.1) ...
Setting up po-debconf (1.0.16+nmu1) ...
Setting up debhelper (8.1.6) ...
Setting up devscripts (2.11.0) ...
Setting up libreadline5 (5.2-8) ...
Setting up libruby1.8 (1.8.7.334-5) ...
Setting up ruby1.8 (1.8.7.334-5) ...
update-alternatives: using /usr/bin/ruby1.8 to provide /usr/bin/ruby (ruby) in auto mode.
Setting up rubygems (1.7.2-1) ...
Setting up rubygems1.8 (1.7.2-1) ...
Setting up ruby1.8-dev (1.8.7.334-5) ...
Setting up libffi5 (3.0.9-4) ...
Setting up libyaml-0-2 (0.1.3-1) ...
Setting up libruby1.9.1 (1.9.2.180-5) ...
Setting up ruby1.9.1 (1.9.2.180-5) ...
Setting up ruby1.9.1-dev (1.9.2.180-5) ...
Setting up gem2deb (0.2.3) ...
Reading package lists...
Building dependency tree...
Reading state information...
Reading extended state information...
Initializing package states...
Writing extended state information...
-> Finished parsing the build-deps
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
fakeroot
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/117 kB of archives.
After this operation, 451 kB of additional disk space will be used.
Selecting previously deselected package fakeroot.
(Reading database ... 15407 files and directories currently installed.)
Unpacking fakeroot (from .../fakeroot_1.15.1-1_i386.deb) ...
Processing triggers for man-db ...
Setting up fakeroot (1.15.1-1) ...
update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode.
I: Copying back the cached apt archive contents
I: Copying source file
I: copying [ruby-addressable_2.2.6-1.dsc]
I: copying [./ruby-addressable_2.2.6.orig.tar.gz]
I: copying [./ruby-addressable_2.2.6-1.debian.tar.gz]
I: Extracting source
dpkg-source: info: extracting ruby-addressable in ruby-addressable-2.2.6
dpkg-source: info: unpacking ruby-addressable_2.2.6.orig.tar.gz
dpkg-source: info: unpacking ruby-addressable_2.2.6-1.debian.tar.gz
I: Building the package
I: Running cd tmp/buildd/*/ && dpkg-buildpackage -us -uc -rfakeroot
dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: source package ruby-addressable
dpkg-buildpackage: source version 2.2.6-1
dpkg-buildpackage: source changed by Deepak Tripathi <deepak@debian.org>
dpkg-buildpackage: host architecture i386
dh clean --buildsystem=ruby --with ruby
dh_testdir -O--buildsystem=ruby
dh_auto_clean -O--buildsystem=ruby
Entering dh_ruby --clean
Leaving dh_ruby --clean
dh_clean -O--buildsystem=ruby
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building ruby-addressable using existing ./ruby-addressable_2.2.6.orig.tar.gz
dpkg-source: info: building ruby-addressable in ruby-addressable_2.2.6-1.debian.tar.gz
dpkg-source: info: building ruby-addressable in ruby-addressable_2.2.6-1.dsc
dh build --buildsystem=ruby --with ruby
dh_testdir -O--buildsystem=ruby
dh_auto_configure -O--buildsystem=ruby
dh_auto_build -O--buildsystem=ruby
dh_auto_test -O--buildsystem=ruby
dh binary --buildsystem=ruby --with ruby
dh_testroot -O--buildsystem=ruby
dh_prep -O--buildsystem=ruby
dh_installdirs -O--buildsystem=ruby
dh_auto_install -O--buildsystem=ruby
Entering dh_ruby --install
install -d /tmp/buildd/ruby-addressable-2.2.6/debian/ruby-addressable/usr/lib/ruby/vendor_ruby
install -d /tmp/buildd/ruby-addressable-2.2.6/debian/ruby-addressable/usr/lib/ruby/vendor_ruby/addressable
install -m644 lib/addressable/version.rb /tmp/buildd/ruby-addressable-2.2.6/debian/ruby-addressable/usr/lib/ruby/vendor_ruby/addressable/version.rb
install -m644 lib/addressable/uri.rb /tmp/buildd/ruby-addressable-2.2.6/debian/ruby-addressable/usr/lib/ruby/vendor_ruby/addressable/uri.rb
install -d /tmp/buildd/ruby-addressable-2.2.6/debian/ruby-addressable/usr/lib/ruby/vendor_ruby/addressable/idna
install -m644 lib/addressable/idna/native.rb /tmp/buildd/ruby-addressable-2.2.6/debian/ruby-addressable/usr/lib/ruby/vendor_ruby/addressable/idna/native.rb
install -m644 lib/addressable/idna/pure.rb /tmp/buildd/ruby-addressable-2.2.6/debian/ruby-addressable/usr/lib/ruby/vendor_ruby/addressable/idna/pure.rb
install -m644 lib/addressable/idna.rb /tmp/buildd/ruby-addressable-2.2.6/debian/ruby-addressable/usr/lib/ruby/vendor_ruby/addressable/idna.rb
install -m644 lib/addressable/template.rb /tmp/buildd/ruby-addressable-2.2.6/debian/ruby-addressable/usr/lib/ruby/vendor_ruby/addressable/template.rb
Running tests for ruby1.8: found no way to run a test suite!
Running tests for ruby1.9.1: found no way to run a test suite!
Leaving dh_ruby --install
dh_install -O--buildsystem=ruby
dh_installdocs -O--buildsystem=ruby
dh_installchangelogs -O--buildsystem=ruby
dh_installexamples -O--buildsystem=ruby
dh_installman -O--buildsystem=ruby
dh_installcatalogs -O--buildsystem=ruby
dh_installcron -O--buildsystem=ruby
dh_installdebconf -O--buildsystem=ruby
dh_installemacsen -O--buildsystem=ruby
dh_installifupdown -O--buildsystem=ruby
dh_installinfo -O--buildsystem=ruby
dh_installinit -O--buildsystem=ruby
dh_installmenu -O--buildsystem=ruby
dh_installmime -O--buildsystem=ruby
dh_installmodules -O--buildsystem=ruby
dh_installlogcheck -O--buildsystem=ruby
dh_installlogrotate -O--buildsystem=ruby
dh_installpam -O--buildsystem=ruby
dh_installppp -O--buildsystem=ruby
dh_installudev -O--buildsystem=ruby
dh_installwm -O--buildsystem=ruby
dh_installxfonts -O--buildsystem=ruby
dh_installgsettings -O--buildsystem=ruby
dh_bugfiles -O--buildsystem=ruby
dh_ucf -O--buildsystem=ruby
dh_lintian -O--buildsystem=ruby
dh_gconf -O--buildsystem=ruby
dh_icons -O--buildsystem=ruby
dh_perl -O--buildsystem=ruby
dh_usrlocal -O--buildsystem=ruby
dh_link -O--buildsystem=ruby
dh_compress -O--buildsystem=ruby
dh_fixperms -O--buildsystem=ruby
dh_strip -O--buildsystem=ruby
dh_makeshlibs -O--buildsystem=ruby
dh_shlibdeps -O--buildsystem=ruby
dh_ruby_fixdepends -O--buildsystem=ruby
dh_installdeb -O--buildsystem=ruby
dh_gencontrol -O--buildsystem=ruby
dh_md5sums -O--buildsystem=ruby
dh_builddeb -O--buildsystem=ruby
dpkg-deb: building package `ruby-addressable' in `../ruby-addressable_2.2.6-1_all.deb'.
dpkg-deb: building package `libaddressable-ruby' in `../libaddressable-ruby_2.2.6-1_all.deb'.
dpkg-deb: building package `libaddressable-ruby1.8' in `../libaddressable-ruby1.8_2.2.6-1_all.deb'.
dpkg-deb: building package `libaddressable-ruby1.9.1' in `../libaddressable-ruby1.9.1_2.2.6-1_all.deb'.
dpkg-buildpackage: full upload (original source is included)
I: Copying back the cached apt archive contents
I: unmounting /var/cache/pbuilder/ccache filesystem
I: unmounting dev/pts filesystem
I: unmounting proc filesystem
I: cleaning the build env
I: removing directory /var/cache/pbuilder/build//12898 and its subdirectories
I: Current time: Tue May 31 14:30:07 IST 2011
I: pbuilder-time-stamp: 1306832407
Comments